#ifndef RANDOM_H_INCLUDED
#define RANDOM_H_INCLUDED


namespace irr
{
namespace core
{

void randomize(unsigned int a = 12345678);

unsigned int rnd_my();
// return random number in the range 0 .. a-1
int rndi (unsigned int a);
// return random number in the range 0 .. f
float rndf(float f = 1.0f);

float rnd(float f1, float f2);
};
};



#endif // RANDOM_H_INCLUDED
